## python-anthemav 1.4.2

=== Makefile ===
all:

.PHONY:	dist update
dist:
	rm -f dist/*.whl dist/*.tar.gz
	python3 setup.py sdist

release:
	twine upload dist/*.tar.gz

=== requirements.txt ===
asyncio

=== debian/changelog ===
python-anthemav (1.4.2-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Sep 2024 22:33:46 +0200

python-anthemav (1.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1080030)

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 21:24:01 +0200

=== debian/control ===
Source: python-anthemav
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest-asyncio,
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-anthemav
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-anthemav.git
Homepage: https://github.com/nugget/python-anthemav

Package: python3-anthemav
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: API for controlling Anthem Receivers
 This is a Python package to interface with Anthem (http://www.anthemav.com>)
 AVM and MRX receivers and processors. It uses the asyncio library to maintain
 an object-based connection to the network port of the receiver with supporting
 methods and properties to poll and adjust the receiver settings.
 .
 This package was created primarily to support an anthemav media_player
 platform for Home Assistant, but it is structured to be general-purpose and
 should be usable for other applications as well.
 .
 This package will maintain a persistant connection to the network control port
 which will prevent any other application from communicating with the receiver.
 This includes the Anthem iOS and Android remote control app as well as the
 ARC-2 room calibration software. One will need to disable any application that
 is using the library in order to run those other applications.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/nugget/python-anthemav.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/nugget/python-anthemav refs/tags/(\d[brc\d\.]+)
